Bug 19081 - fetchmail port compile error on 3-STABLE
Summary: fetchmail port compile error on 3-STABLE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-06-07 03:40 UTC by haro
Modified: 2014-06-27 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (511 bytes, patch)
2000-06-07 03:40 UTC, haro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description haro 2000-06-07 03:40:00 UTC
	When installing fetchmail from ports on 3-STABLE, w/o ssl library
	installed, get the following compile error:


===>  Extracting for fetchmail-5.3.8

Fix: Apply following patch
How-To-Repeat: 
	On 3-STABLE system, w/o ssl library, with ports-cur from CTM:
	
	# cd /usr/ports/mail/fetchmail
	# make
Comment 1 Ville.Eerola 2000-06-08 01:17:28 UTC
haro@tk.kubota.co.jp writes:
> 	When installing fetchmail from ports on 3-STABLE, w/o ssl library
> 	installed, get the following compile error:

You are correct. I checked and had the same problem. Your patch seems
to cure the problem, and the port compiles OK after applying it. Thank
you for reporting it and also supplying a patch.

> >Fix:
> 
> 	Apply following patch
> 
> --- /usr/ports/mail/fetchmail/Makefile.org	Fri Jun  2 17:14:26 2000
> +++ /usr/ports/mail/fetchmail/Makefile	Wed Jun  7 11:31:15 2000
> @@ -34,7 +34,7 @@
>  .if exists(/usr/lib/libssl.a) && exists(/usr/lib/libcrypto.a)
>  CONFIGURE_ARGS+=--with-ssl=/usr
>  .endif
> -.else if exists(${LOCALBASE}/lib/libssl.a) && exists(${LOCALBASE}/lib/libcrypto.a)
> +.elif exists(${LOCALBASE}/lib/libssl.a) && exists(${LOCALBASE}/lib/libcrypto.a)
>  CONFIGURE_ARGS+=-with-includes=${LOCALBASE}/include/openssl --with-ssl=${LOCALBASE}
>  .endif
>  

This is also a note to indicate that I have revieved the above patch
as the maintainer of the fetchmail port. It would be nice if someone
of the committers could commit it to the repository.



Regards, Ville

-- 
Ville Eerola                       |  Powered by
ve@sci.fi                          |             FreeBSD
Comment 2 Maxim Sobolev freebsd_committer 2000-06-09 09:54:53 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 commit-hook freebsd_committer 2014-06-27 14:20:15 UTC
A commit references this bug:

Author: miwi
Date: Fri Jun 27 14:19:45 UTC 2014
New revision: 359535
URL: http://svnweb.freebsd.org/changeset/ports/359535

Log:
  - Update to 0.72.6
  - Change USE_BZIP2=yes to USES=tar:bzip2

  PR:		19081

Changes:
  head/sysutils/dvdisaster/Makefile
  head/sysutils/dvdisaster/distinfo
  head/sysutils/dvdisaster/pkg-plist